
QGIS Application - Bug report #108

Password of postgis databases is visible in legend tooltip

2006-05-05 07:29 AM - Marco Hugentobler

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10167

Description

The user name and password for databases are visible in the legend tooltip of a layer. Is it possible to make the postgis provider return a

string which contains *** instead of the password?

Related issues:

Related to QGIS Application - Bug report # 5959: WMS password visible Closed 2012-07-06

History

#1 - 2006-05-05 01:02 PM - Gavin Macaulay -

- Status changed from Open to In Progress

#2 - 2006-05-06 10:30 PM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from In Progress to Closed

Fixed in SVN commit:0eed881b (SVN r5424)

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

2025-04-27 1/1


